Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common
Class PDMatrix

    java.lang.Object
      org.pdfbox.pdmodel.common.PDMatrix

All Implemented Interfaces:
  Cloneable, COSObjectable

public class PDMatrix
extends Object
implements Cloneable, COSObjectable

This class will be used for matrix manipulation.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDMatrix()` Constructor.
`PDMatrix(COSArray array)` Constructor.

Method Summary
`COSArray` | `getCOSArray()` This will get the underlying array value.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`float` | `getValue(int row, int column)` This will get a matrix value at some point.
`void` | `setValue(int row, int column, float value)` This will set a value at a position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDMatrix

    public PDMatrix()

  Constructor.

### PDMatrix

    public PDMatrix(COSArray array)

  Constructor.

Parameters:
  `array` - The array that describes the matrix.

Method Detail

### getCOSArray

    public COSArray getCOSArray()

  This will get the underlying array value.

  Returns:
    The cos object that this object wraps.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getValue

    public float getValue(int row,
                          int column)

  This will get a matrix value at some point.

  Parameters:
    `row` - The row to get the value from.
    `column` - The column to get the value from.
  Returns:
    The value at the row/column position.

### setValue

    public void setValue(int row,
                         int column,
                         float value)

  This will set a value at a position.

  Parameters:
    `row` - The row to set the value at.
    `column` - the column to set the value at.
    `value` - The value to set at the position.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD